#include "guess.h"
#include<bits/stdc++.h>

using namespace std;

typedef long long ll;

int find_number(int MAX)
{
    ll l = 0, r = (ll)MAX;
    ll mid;
    while(l < r)
    {
        mid = (l + r + 1) / 2;
        if(smaller(mid))
        {
            r = mid-1;
        }
        else
        {
            l = mid;
        }
    }
    return l;
}
